# linode – Ansible dynamic inventory plugin for Linode

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- Reads inventories from the Linode API v4.
- Uses a YAML configuration file that ends with linode.(yml|yaml).
- Linode labels are used by default as the hostnames.
- The inventory groups are built from groups and not tags.

## Requirements

The below requirements are needed on the local master node that executes this inventory.

- python >= 2.7
- linode_api4 >= 2.0.0

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
access_token - / required |  | env:LINODE_ACCESS_TOKEN | The Linode account personal access token.

plugin
- / required

Choices:
- linode

marks this as an instance of the 'linode' plugin

regions list | Default: [] |  | Populate inventory with instances in this region.
types list | Default: [] |  | Populate inventory with instances with this type.

## Examples

    # Minimal example. `LINODE_ACCESS_TOKEN` is exposed in environment.
    plugin: linode

    # Example with regions, types, groups and access token
    plugin: linode
    access_token: foobar
    regions:
      - eu-west
    types:
      - g5-standard-2

## Status

- This inventory is not guaranteed to have a backwards compatible interface. [preview]
- This inventory is maintained by the Ansible Community. [community]

### Authors

- Luke Murphy (@lwm)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.